summaryrefslogtreecommitdiff
path: root/nonsystemd/nfs-utils-openrc/rpc.idmapd.initd
diff options
context:
space:
mode:
Diffstat (limited to 'nonsystemd/nfs-utils-openrc/rpc.idmapd.initd')
-rw-r--r--nonsystemd/nfs-utils-openrc/rpc.idmapd.initd25
1 files changed, 25 insertions, 0 deletions
diff --git a/nonsystemd/nfs-utils-openrc/rpc.idmapd.initd b/nonsystemd/nfs-utils-openrc/rpc.idmapd.initd
new file mode 100644
index 000000000..814cbc1a8
--- /dev/null
+++ b/nonsystemd/nfs-utils-openrc/rpc.idmapd.initd
@@ -0,0 +1,25 @@
+#!/usr/bin/openrc-run
+# Copyright 1999-2008 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+[ -e /etc/conf.d/nfs ] && . /etc/conf.d/nfs
+
+rpc_bin=/usr/bin/rpc.idmapd
+
+depend() {
+ use ypbind net
+ need portmap rpc.pipefs
+ after quota
+}
+
+start() {
+ ebegin "Starting idmapd"
+ ${rpc_bin} ${OPTS_RPC_IDMAPD}
+ eend $? "make sure DNOTIFY support is enabled ..."
+}
+
+stop() {
+ ebegin "Stopping idmapd"
+ start-stop-daemon --stop --exec ${rpc_bin}
+ eend $?
+}